<?php

namespace App\Services\Equipment\Part;

use App\Entities\Equipment\Part\StorageEntity;
use App\Models\Equipment\Part\StorageModel;
use CodeIgniter\HTTP\IncomingRequest;

class StorageService extends PartService
{
    protected ?IncomingRequest $request = null;
    public function __construct(?IncomingRequest $request = null)
    {
        parent::__construct($request);
        $this->addClassName('Storage');
    }
    public function getModelClass(): StorageModel
    {
        return new StorageModel();
    }
    public function getEntityClass(): StorageEntity
    {
        return new StorageEntity();
    }
    final public function getFormFields(): array
    {
        return [
            "model",
            "status",
        ];
    }
    final public function getFilterFields(): array
    {
        return ['status'];
    }
    final public function getBatchJobFields(): array
    {
        return ['status'];
    }
    public function getIndexFields(): array
    {
        return ['model', 'status'];
    }
}
